summaryrefslogtreecommitdiffstats
path: root/os-plugins/plugins/xserver/files/ubuntu-8.10-gfx-install.sh
diff options
context:
space:
mode:
authorBastian Wissler2009-05-14 19:27:12 +0200
committerBastian Wissler2009-05-14 19:27:12 +0200
commit641917d1f5eae763fbb6cffe4b583c2dd06d7d5e (patch)
tree68cbdf42e9f3814f95635e51b0c44ed5737f34b8 /os-plugins/plugins/xserver/files/ubuntu-8.10-gfx-install.sh
parentstatus in wlanboot plugin and typo in suse-11.1 installation (diff)
downloadcore-641917d1f5eae763fbb6cffe4b583c2dd06d7d5e.tar.gz
core-641917d1f5eae763fbb6cffe4b583c2dd06d7d5e.tar.xz
core-641917d1f5eae763fbb6cffe4b583c2dd06d7d5e.zip
xserver plugin (some severe changes):
* Suse-11.x driver installation supported by perl module in Distro * Ubuntu-9.04 tested with recent scripts (ubuntu-8.10-gfx-install.sh) * this version does NOT (yet) support < suse-11.0, < ubuntu-8.04 -> below suse-11.0 is only not tested * we use driver packages just for ati drivers on SuSE-11.0 and greater git-svn-id: http://svn.openslx.org/svn/openslx/openslx/trunk@2856 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'os-plugins/plugins/xserver/files/ubuntu-8.10-gfx-install.sh')
-rwxr-xr-xos-plugins/plugins/xserver/files/ubuntu-8.10-gfx-install.sh32
1 files changed, 20 insertions, 12 deletions
diff --git a/os-plugins/plugins/xserver/files/ubuntu-8.10-gfx-install.sh b/os-plugins/plugins/xserver/files/ubuntu-8.10-gfx-install.sh
index 409b2160..f834bbac 100755
--- a/os-plugins/plugins/xserver/files/ubuntu-8.10-gfx-install.sh
+++ b/os-plugins/plugins/xserver/files/ubuntu-8.10-gfx-install.sh
@@ -95,12 +95,16 @@ case ${TARGET} in
if [ $? -eq 0 ]; then
echo "ok"
else
- echo "fail"
- echo "------ dkms.log -----"
- cat /tmp/dkms.log
- echo "---------------------"
- rm /tmp/dkms.log
- exit 1
+ if $(cat /tmp/dkms.log | grep -q "has already"); then
+ echo -n "--- fglrx module already built ---"
+ else
+ echo "fail"
+ echo "------ dkms.log -----"
+ cat /tmp/dkms.log
+ echo "---------------------"
+ rm /tmp/dkms.log
+ exit 1
+ fi
fi
FGLRX_MODULE_PATH=$(find ${FGLRX_DKMS_DIR}/${KVER}/ -name fglrx.ko \
@@ -191,12 +195,16 @@ case ${TARGET} in
if [ $? -eq 0 ]; then
echo "ok"
else
- echo "fail"
- echo "------ dkms.log -----"
- cat /tmp/dkms.log
- echo "---------------------"
- rm /tmp/dkms.log
- exit 1
+ if $(cat /tmp/dkms.log | grep -q "has already"); then
+ echo -n "--- nvidia module already built ---"
+ else
+ echo "fail"
+ echo "------ dkms.log -----"
+ cat /tmp/dkms.log
+ echo "---------------------"
+ rm /tmp/dkms.log
+ exit 1
+ fi
fi
NVIDIA_MODULE_PATH=$(find ${NVIDIA_DKMS_DIR}/${KVER}/ -name \